be.fgov.ehealth.dics.protocol.v4

## Class FindAmpRequest

- java.lang.Object
- - be.fgov.ehealth.commons.protocol.v2.RequestType
  - - be.fgov.ehealth.dics.protocol.v4.FindAmpRequest

- All Implemented Interfaces:
    Serializable

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2026-02-23T10:15:16+01:00",
                 comments="JAXB RI v2.3.7")
      public class FindAmpRequest
      extends RequestType
      implements Serializable

  Java class for FindAmpRequestType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="FindAmpRequestType">
         <complexContent>
           <extension base="{urn:be:fgov:ehealth:commons:protocol:v2}RequestType">
             <sequence>
               <element name="FindByProduct" type="{urn:be:fgov:ehealth:dics:protocol:v4}FindByActualProductType" minOccurs="0"/>
               <element name="FindByPackage" type="{urn:be:fgov:ehealth:dics:protocol:v4}FindByPackageType" minOccurs="0"/>
               <element name="FindByDmpp" type="{urn:be:fgov:ehealth:dics:core:v4:actual:common}DmppKeyType" minOccurs="0"/>
               <element name="FindByIngredient" type="{urn:be:fgov:ehealth:dics:protocol:v4}FindByIngredientType" maxOccurs="unbounded" minOccurs="0"/>
               <element name="FindByVirtualProduct" type="{urn:be:fgov:ehealth:dics:protocol:v4}FindByVirtualProductType" minOccurs="0"/>
               <element name="FindByGenericPrescriptionGroup" type="{urn:be:fgov:ehealth:dics:protocol:v4}FindByGenericPrescriptionGroupType" minOccurs="0"/>
               <element name="FindByCompany" type="{urn:be:fgov:ehealth:dics:protocol:v4}FindByCompanyType" minOccurs="0"/>
               <element name="HasComponentWith" type="{urn:be:fgov:ehealth:dics:protocol:v4}HasActualComponentWithType" maxOccurs="unbounded" minOccurs="0"/>
             </sequence>
             <attribute ref="{http://www.w3.org/XML/1998/namespace}lang use="required""/>
             <attribute name="SearchDate" type="{http://www.w3.org/2001/XMLSchema}date" />
           </extension>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `FindAmpRequest()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `FindByCompanyType` | `getFindByCompany()` Gets the value of the findByCompany property.
    `DmppKeyType` | `getFindByDmpp()` Gets the value of the findByDmpp property.
    `FindByGenericPrescriptionGroupType` | `getFindByGenericPrescriptionGroup()` Gets the value of the findByGenericPrescriptionGroup property.
    `List<FindByIngredientType>` | `getFindByIngredients()` Gets the value of the findByIngredients property.
    `FindByPackageType` | `getFindByPackage()` Gets the value of the findByPackage property.
    `FindByActualProductType` | `getFindByProduct()` Gets the value of the findByProduct property.
    `FindByVirtualProductType` | `getFindByVirtualProduct()` Gets the value of the findByVirtualProduct property.
    `List<HasActualComponentWithType>` | `getHasComponentWiths()` Gets the value of the hasComponentWiths property.
    `String` | `getLang()` Gets the value of the lang property.
    `org.joda.time.DateTime` | `getSearchDate()` Gets the value of the searchDate property.
    `void` | `setFindByCompany(FindByCompanyType value)` Sets the value of the findByCompany property.
    `void` | `setFindByDmpp(DmppKeyType value)` Sets the value of the findByDmpp property.
    `void` | `setFindByGenericPrescriptionGroup(FindByGenericPrescriptionGroupType value)` Sets the value of the findByGenericPrescriptionGroup property.
    `void` | `setFindByPackage(FindByPackageType value)` Sets the value of the findByPackage property.
    `void` | `setFindByProduct(FindByActualProductType value)` Sets the value of the findByProduct property.
    `void` | `setFindByVirtualProduct(FindByVirtualProductType value)` Sets the value of the findByVirtualProduct property.
    `void` | `setLang(String value)` Sets the value of the lang property.
    `void` | `setSearchDate(org.joda.time.DateTime value)` Sets the value of the searchDate property.

    - ### Methods inherited from class be.fgov.ehealth.commons.protocol.v2.RequestType

      `getId, getIssueInstant, setId, setIssueInstant`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FindAmpRequest

          public FindAmpRequest()

  - ### Method Detail

    - #### getFindByProduct

          public FindByActualProductType getFindByProduct()

      Gets the value of the findByProduct property.
      Returns:
        possible object is `FindByActualProductType`

    - #### setFindByProduct

          public void setFindByProduct(FindByActualProductType value)

      Sets the value of the findByProduct property.
      Parameters:
        `value` - allowed object is `FindByActualProductType`

    - #### getFindByPackage

          public FindByPackageType getFindByPackage()

      Gets the value of the findByPackage property.
      Returns:
        possible object is `FindByPackageType`

    - #### setFindByPackage

          public void setFindByPackage(FindByPackageType value)

      Sets the value of the findByPackage property.
      Parameters:
        `value` - allowed object is `FindByPackageType`

    - #### getFindByDmpp

          public DmppKeyType getFindByDmpp()

      Gets the value of the findByDmpp property.
      Returns:
        possible object is `DmppKeyType`

    - #### setFindByDmpp

          public void setFindByDmpp(DmppKeyType value)

      Sets the value of the findByDmpp property.
      Parameters:
        `value` - allowed object is `DmppKeyType`

    - #### getFindByIngredients

          public List<FindByIngredientType> getFindByIngredients()

      Gets the value of the findByIngredients property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the findByIngredients property.

      For example, to add a new item, do as follows:

              getFindByIngredients().add(newItem);

      Objects of the following type(s) are allowed in the list `FindByIngredientType`

    - #### getFindByVirtualProduct

          public FindByVirtualProductType getFindByVirtualProduct()

      Gets the value of the findByVirtualProduct property.
      Returns:
        possible object is `FindByVirtualProductType`

    - #### setFindByVirtualProduct

          public void setFindByVirtualProduct(FindByVirtualProductType value)

      Sets the value of the findByVirtualProduct property.
      Parameters:
        `value` - allowed object is `FindByVirtualProductType`

    - #### getFindByGenericPrescriptionGroup

          public FindByGenericPrescriptionGroupType getFindByGenericPrescriptionGroup()

      Gets the value of the findByGenericPrescriptionGroup property.
      Returns:
        possible object is `FindByGenericPrescriptionGroupType`

    - #### setFindByGenericPrescriptionGroup

          public void setFindByGenericPrescriptionGroup(FindByGenericPrescriptionGroupType value)

      Sets the value of the findByGenericPrescriptionGroup property.
      Parameters:
        `value` - allowed object is `FindByGenericPrescriptionGroupType`

    - #### getFindByCompany

          public FindByCompanyType getFindByCompany()

      Gets the value of the findByCompany property.
      Returns:
        possible object is `FindByCompanyType`

    - #### setFindByCompany

          public void setFindByCompany(FindByCompanyType value)

      Sets the value of the findByCompany property.
      Parameters:
        `value` - allowed object is `FindByCompanyType`

    - #### getHasComponentWiths

          public List<HasActualComponentWithType> getHasComponentWiths()

      Gets the value of the hasComponentWiths property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the hasComponentWiths property.

      For example, to add a new item, do as follows:

              getHasComponentWiths().add(newItem);

      Objects of the following type(s) are allowed in the list `HasActualComponentWithType`

    - #### getLang

          public String getLang()

      Gets the value of the lang property.
      Returns:
        possible object is `String`

    - #### setLang

          public void setLang(String value)

      Sets the value of the lang property.
      Parameters:
        `value` - allowed object is `String`

    - #### getSearchDate

          public org.joda.time.DateTime getSearchDate()

      Gets the value of the searchDate property.
      Returns:
        possible object is `String`

    - #### setSearchDate

          public void setSearchDate(org.joda.time.DateTime value)

      Sets the value of the searchDate property.
      Parameters:
        `value` - allowed object is `String`

Connector Packaging PERSNURSE 4.8.6 API
Copyright © {inceptionYear}-2026 eHealth. All Rights Reserved.